OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_AssemblyComponentUsage Class Reference

Representation of STEP entity AssemblyComponentUsage
.

`#include <StepRepr_AssemblyComponentUsage.hxx>`

Inheritance diagram for StepRepr_AssemblyComponentUsage:

[legend]

## Public Member Functions
Standard_EXPORT | StepRepr_AssemblyComponentUsage ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Id, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Name, const Standard_Boolean hasProductDefinitionRelationship_Description, const Handle(TCollection_HAsciiString)&aProductDefinitionRelationship_Description, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatingProductDefinition, const Handle(StepBasic_ProductDefinition)&aProductDefinitionRelationship_RelatedProductDefinition, const Standard_Boolean hasReferenceDesignator, const Handle(TCollection_HAsciiString)&aReferenceDesignator)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | ReferenceDesignator () const
| Returns field ReferenceDesignator .
Standard_EXPORT void | SetReferenceDesignator (const Handle(TCollection_HAsciiString)&ReferenceDesignator)
| Set field ReferenceDesignator .
Standard_EXPORT Standard_Boolean | HasReferenceDesignator () const
| Returns True if optional field ReferenceDesignator is defined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theReferenceDesignator
Standard_Boolean | defReferenceDesignator

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_AssemblyComponentUsage::StepRepr_AssemblyComponentUsage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_AssemblyComponentUsage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_ProductDefinitionUsage. Reimplemented in StepRepr_NextAssemblyUsageOccurrence, StepRepr_PromissoryUsageOccurrence, StepRepr_QuantifiedAssemblyComponentUsage, and StepRepr_SpecifiedHigherUsageOccurrence.

Standard_EXPORT Standard_Boolean StepRepr_AssemblyComponentUsage::HasReferenceDesignator | ( |  | ) | const

Standard_EXPORT void StepRepr_AssemblyComponentUsage::Init | ( | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Id,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Name,
|  | const Standard_Boolean | hasProductDefinitionRelationship_Description,
|  | const Handle(TCollection_HAsciiString)& | aProductDefinitionRelationship_Description,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatingProductDefinition,
|  | const Handle(StepBasic_ProductDefinition)& | aProductDefinitionRelationship_RelatedProductDefinition,
|  | const Standard_Boolean | hasReferenceDesignator,
|  | const Handle(TCollection_HAsciiString)& | aReferenceDesignator
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsage::ReferenceDesignator | ( |  | ) | const

Standard_EXPORT void StepRepr_AssemblyComponentUsage::SetReferenceDesignator | ( | const Handle(TCollection_HAsciiString)& | ReferenceDesignator | ) |

## Field Documentation

Standard_Boolean StepRepr_AssemblyComponentUsage::defReferenceDesignator`[private]`

Handle_TCollection_HAsciiString StepRepr_AssemblyComponentUsage::theReferenceDesignator`[private]`

The documentation for this class was generated from the following file:

- StepRepr_AssemblyComponentUsage.hxx